package application;

import domaine.ListeDAlarmes;
import domaine.temps.Heure;
import domaine.temps.HeureV1;
import domaine.temps.HeureV2;
import domaine.temps.MauvaisFormatDHeure;
import domaine.temps.MauvaiseValeurDesHeures;
import domaine.temps.MauvaiseValeurDesMinutes;

public class EssaiListeDAlarmes {
	private static void affichage(ListeDAlarmes lst) {
		for(Heure h : lst) {
			System.out.println(h);
		}
	}
	public static void main(String arg[]) throws MauvaisFormatDHeure, MauvaiseValeurDesHeures, MauvaiseValeurDesMinutes {
		ListeDAlarmes lst;
		lst = new ListeDAlarmes();
		lst.ajoute(new HeureV2("16:00"));
		lst.ajoute(new HeureV1("12:00"));
		lst.ajoute(new HeureV2("20:00"));
		lst.ajoute(new HeureV1("8:00"));
		System.out.println("*** affichage des alarmes ***");
		affichage(lst);
		System.out.println("*** tri des alarmes ***");
		lst.trie();
		System.out.println("*** affichage des alarmes ***");
		affichage(lst);
		lst.ajoute(new HeureV1("7:30"));
		lst.ajoute(new HeureV1("7:00"));
		lst.ajoute(new HeureV1("6:20"));
		System.out.println("*** affichage des alarmes ***");
		affichage(lst);
		System.out.println("*** tri des alarmes ***");
		lst.trie();
		System.out.println("*** affichage des alarmes ***");
		affichage(lst);
	}
}
