package outils;

import static org.junit.jupiter.api.Assertions.*;
import org.junit.jupiter.api.Test;
import org.junit.jupiter.api.Timeout;
import java.util.concurrent.TimeUnit;

public class TestListeChainee {
    @Test
    @Timeout(value = 150, unit = TimeUnit.MILLISECONDS)
    public void test01ElementDeDebut() {
        Liste<String> lst;
        lst = new ListeChainee<String>();
        for(int i=0; i<10000; i++)
        	lst.ajoute("texte" + Math.round(1000 * Math.random()));
        @SuppressWarnings("unused")
		long total = 0;
        for(int i=0; i<5000; i++)
        	total += lst.element(i).length();
    }
    @Test
    @Timeout(value = 150, unit = TimeUnit.MILLISECONDS)
    public void test02ElementDeFin() {
        Liste<String> lst;
        lst = new ListeChainee<String>();
        for(int i=0; i<10000; i++)
        	lst.ajoute("texte" + Math.round(1000 * Math.random()));
        @SuppressWarnings("unused")
		long total = 0;
        for(int i=0; i<5000; i++)
        	total += lst.element(9999-i).length();
    }
    @Test
    @Timeout(value = 150, unit = TimeUnit.MILLISECONDS)
    public void test03ReraitDeFin() {
        Liste<String> lst;
        lst = new ListeChainee<String>();
        for(int i=0; i<10000; i++)
        	lst.ajoute("texte" + Math.round(1000 * Math.random()));
        for(int i=0; i<10000; i++)
        	lst.retire(9999-i);
        assertEquals(0, lst.nombreDElements());
    }
}
