package outils;

import outils.ListeTableauTriable.TriBulle;
import outils.ListeTableauTriable.TriSelection;

public class ListeTableauTriable<Type extends Comparable<Type>>
extends ListeTableau<Type>
implements ListeTriable<Type> {
	protected void echangeContenusDe(int indice1, int indice2) {
		Object svg = contenu[indice1];
		contenu[indice1] = contenu[indice2];
		contenu[indice2] = svg;
	}
	protected class TriBulle implements Strategie {
		@SuppressWarnings("unchecked")
		public void execute() {
			System.out.println("méthode du tri bulle");
	        if (nbElem < 2) return;
	        boolean echange = true;
	        int indiceCourant, indiceSuivant;
	        while(echange) {
	            echange = false;
	            for(indiceSuivant = (indiceCourant = 0) + 1; indiceSuivant < nbElem; indiceCourant++, indiceSuivant++) {
	                if (((Type)contenu[indiceCourant]).compareTo((Type)contenu[indiceSuivant]) > 0) {
	                    echangeContenusDe(indiceCourant, indiceSuivant);
	                    echange = true;
	                }
	            }
	        }
		}
	}
	protected class TriSelection implements Strategie {
		@SuppressWarnings("unchecked")
		public void execute() {
			System.out.println("méthode du tri sélection");
			for(int passe = 0; passe < nbElem - 1; passe++) {
				int indiceMin = passe;
				int indiceCourant;
	            for(indiceCourant = passe + 1; indiceCourant < nbElem; indiceCourant++) {
	                if (((Type)contenu[indiceMin]).compareTo((Type)contenu[indiceCourant]) > 0) {
	                    echangeContenusDe(indiceCourant, indiceMin);
	                }
	            }
	        }
		}
	}
	@SuppressWarnings("unchecked")
	private int desordre() {
		int desordre = 0;
		int indiceCourant, indiceSuivant;
		for(indiceSuivant = 1 + (indiceCourant = 0); indiceSuivant < nbElem; indiceCourant++, indiceSuivant++) {
            if (((Type)contenu[indiceCourant]).compareTo((Type)contenu[indiceSuivant]) > 0) {
            	desordre += indiceCourant + 1;
            }
		}
		return desordre;
	}
	private boolean estEnPetitDesordre() {
		return desordre() < (nbElem * (nbElem + 1)) / 4;
	}
	public void trie() {	
		Strategie methodeDeTri = estEnPetitDesordre() ? new TriBulle() : new TriSelection();
		methodeDeTri.execute();
	}
}
